MARTe2-core - User story #159

Lint: StringPortable
28.06.2015 19:03 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/StringPortable.cpp
Source/Core/LOPortability/StringPortable.h
Test/Core/LOPortability/StringPortableTest.cpp
Test/Core/LOPortability/StringPortableTest.h
Test/GTest/StringPortableGTest.cpp

Architecture & design review
Date of the review: 22/07/2015
Person who did the review: lvan Herrero

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 24/07/2015
Person who did the review: Lioreng Capella
Result of review: PASS (MISRA)

List of non-conformities: N/A

Unit test review

Date of the review: 27/07/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS
List of non-conformities:

Coverage Note: Some errors paths not exercised.

Associated revisions

Revision 433b7819 - 22.07.2015 16:44 - Ilvan Herrero

#159 - Coding standard applied to StringPortable header and source files

Revision 312ad822 - 24.07.2015 13:00 - Giuseppe Ferro

Implementation and linting of StringPortable done.
#159

Revision 14ccc4bce - 24.07.2015 13:28 - Giuseppe Ferro

Minor changes in documentation of StringPortable.
#159

Revision 76¢16376 - 24.07.2015 16:28 - Giuseppe Ferro

Concatenate functions overloaded.
Added SetChar function

#159

Revision 75de4636 - 27.07.2015 18:10 - Ivan Herrero

#159 - Minor formatting corrections (following template rules)

History

#1 - 02.07.2015 17:20 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli
- Status changed from New to Code: Impl

#4 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#5 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Rev to Code: Impl

#6 - 21.07.2015 12:58 - Llorenc Capella

- Assignee set to Llorenc Capella

#7 - 21.07.2015 14:25 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#8 - 21.07.2015 14:26 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

StringPortable imported from develop_svn and linting done.

#9 - 21.07.2015 18:50 - Ivan Herrero

- Assignee set to Ivan Herrero

#10 - 22.07.2015 16:52 - lvan Herrero
- Description updated
- Status changed from Code: Rev to Code: Impl

05.04.2025

2/4



- Assignee deleted (lvan Herrero)

Code and documentation review made on 433b781.

Note: It needs to be linted again, because the flexelint files were not properly configured (remember to add StringPortable.cpp on marte_flint _files.Int).

#11 - 23.07.2015 15:16 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#12 - 24.07.2015 13:23 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#13 - 24.07.2015 13:23 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

Implementation Documentation and Linting done.

#14 - 24.07.2015 15:18 - Ivan Herrero

- Assignee set to Llorenc Capella

#15 - 24.07.2015 15:38 - Llorenc Capella
- Status changed from Code: Rev to Code: Impl

#16 - 24.07.2015 15:39 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#17 - 24.07.2015 15:39 - Llorenc Capella

- Assignee set to Giuseppe Ferro

#18 - 24.07.2015 16:37 - Llorenc Capella
- Status changed from Code: Impl to Code: Rev

#19 - 24.07.2015 16:37 - Llorenc Capella

- Assignee changed from Giuseppe Ferro to Llorenc Capella

#20 - 24.07.2015 17:14 - Llorenc Capella
- Status changed from Code: Rev to Unit: Impl

#21 - 24.07.2015 17:16 - Llorenc Capella

- Description updated

Template, documentation, format an lint reviewed

#22 - 24.07.2015 17:17 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#23 - 24.07.2015 17:28 - Llorenc Capella

- Assignee set to Llorenc Capella

#24 - 27.07.2015 15:07 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#25 - 27.07.2015 15:08 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

Test documentation format and template checked. Moreover some corrections and reLint were done.
#26 - 27.07.2015 19:30 - lvan Herrero
- Description updated

- Status changed from Unit: Rev to Closed

Unit test review made on revision 75de463.

Branch #159_StringPortable merged on develop (commit b9a366d).

Branch #159_StringPortable merged deleted.
